Skip to main content
`Ctrl`+`K`

# PetscBenchGetType

Gets the `PetscBenchType` (as a string) from the `PetscBench` context.

## Synopsis

    #include "petscbm.h"
    PetscErrorCode PetscBenchGetType(PetscBench bm, PetscBenchType *type)

Not Collective

## Input Parameter

- bm - the `PetscBench`

## Output Parameter

- type - name of benchmark method

## See Also

`PetscBench`, `PetscBenchType`, `PetscBenchSetType()`, `PetscBenchCreate()`

## Level

intermediate

## Location

src/sys/classes/bm/interfaces/bm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages